Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.plugin.MajorPlugin.MorphAnalyzer.ChartMorphAnalyzer
Class SegmentPosition.Position

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.plugin.MajorPlugin.MorphAnalyzer.ChartMorphAnalyzer.SegmentPosition.Position

Enclosing class:
  SegmentPosition

    public class SegmentPosition.Position

extends java.lang.Object

This class marks the position of segmentation.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, Kaist

Field Summary
`(package private) char` | `key` the consonant or vowel of this position
`(package private) int` | `morphCount` the number of morphemes possible at this position
`(package private) int[]` | `morpheme` the list of morphemes possible at this position
`(package private) int` | `nextPosition` the index of next segment position
`(package private) int` | `nIndex` the temporary index for number dictionary
`(package private) int` | `sIndex` the temporary index for system dictionary
`(package private) int` | `state` the processing state
`(package private) int` | `uIndex` the temporary index for user dictionary

Constructor Summary
`SegmentPosition.Position()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    char key

  the consonant or vowel of this position

### state

    int state

  the processing state

### nextPosition

    int nextPosition

  the index of next segment position

### sIndex

    int sIndex

  the temporary index for system dictionary

### uIndex

    int uIndex

  the temporary index for user dictionary

### nIndex

    int nIndex

  the temporary index for number dictionary

### morphCount

    int morphCount

  the number of morphemes possible at this position

### morpheme

    int[] morpheme

  the list of morphemes possible at this position

Constructor Detail

### SegmentPosition.Position

    public SegmentPosition.Position()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD